1. history
PriceShape API
  • API Conventions
  • API Versioning
  • API Authentication
  • root
    • GET-root/
      GET
  • feeds
    • GET-feeds/feeds
      GET
    • GET-feeds/feeds/:priceshapeId
      GET
  • products
    • history
      • GET-products/products/history/:upi
        GET
  • Schemas
    • Schemas
    • Response
      • UnauthorizedError
      • NotFoundError
      • BadRequestError
    • feeds
    • feeds-filter-query
    • feed
    • product-history
    • product-history-query
  1. history

GET-products/products/history/:upi

Developing
GET
/products/history/{upi}
Permission:products:read

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Default Response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.priceshape.io/products/history/?offset&max&from&to&timezone' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "pagination": {
        "total": 0,
        "max": 0,
        "offset": 0,
        "links": {
            "previous": {
                "href": "http://example.com",
                "method": "GET"
            },
            "self": {
                "href": "http://example.com",
                "method": "GET"
            },
            "next": {
                "href": "http://example.com",
                "method": "GET"
            }
        }
    },
    "history": [
        {
            "date": "string",
            "id": "string",
            "priceshapeId": "string",
            "gtin": "string",
            "mpn": "string",
            "sku": "string",
            "url": "string",
            "upi": "string",
            "currency": "string",
            "pricePosition": 0,
            "salesPriceInclVat": 0,
            "salesPriceExclVat": 0,
            "vendors": [
                {
                    "domain": "string",
                    "price": 0,
                    "stockStatus": "string",
                    "currency": "string",
                    "scrapedAt": "string"
                }
            ]
        }
    ]
}
Modified at 2026-04-22 08:47:23
Previous
GET-feeds/feeds/:priceshapeId
Next
UnauthorizedError
Built with